<?php

include 'conexion.php';
$fk_id_activo=$_GET['fk_id_activo'];
$fk_id_categoria=$_GET['fk_id_categoria'];

$consulta = "SELECT campos.id_campo, campos.nombre as campo, (select campo_activo.descripcion from campo_activo WHERE campo_activo.fk_id_campo=id_campo and campo_activo.fk_id_activo='$fk_id_activo')
             as DESCRIPTION, campos.fk_id_categoria from campos where campos.fk_id_categoria='$fk_id_categoria'";

$resultado = $conexion->query($consulta);

while($fila = $resultado -> fetch_array()){
    $campos[] = array_map('utf8_encode', $fila);
}

echo json_encode($campos);
$resultado -> close();

?>